divert(-1)

#
# This file can be used to customize how OpenSIPS processes a request
#
# The contents of this file is executed just before any other processing
# is performed on a request.
#

divert(0)dnl;

    if (IS_REGISTER and $(rd{ip.isip}) and $avp(source_ip) != SERVER_IP) {
        # This is probably one of those 'friendly' scanners.
        # Ignore it else it will never shut up.
        exit;
    }

    if (IS_FIRST_INVITE and not FROM_SELF) {
        if ($ru =~ "sip:0[0-9]+@.*" and not is_uri_host_local()) {
            INFO("Outgoing call to PSTN with non-local domain. Replaced with $fd");
            $rd = $fd;
        }
    }

